
kerio.waw.ui.interfaceRasEditor = {
x_m: function(x_n) {
var
x_2w = x_n + '_',
x_1b = kerio.lib,
x_x = x_1b.x_x,
x_o = (kerio.waw.status.x_p.x_q === x_r.x_s.x_t),
x_15z = 'interfacePPPoEAdd' === x_n || 'interfacePPPoEEdit' === x_n || 'interfacePPPoEView' === x_n,
x_160  = 'interfacePPTPAdd'  === x_n || 'interfacePPTPEdit'  === x_n || 'interfacePPTPView' === x_n,
x_161  = (!x_15z && !x_160),
x_5c = (x_161
|| 'interfacePPPoEEdit' === x_n  || 'interfacePPPoEView' === x_n
|| 'interfacePPTPEdit'  === x_n) || 'interfacePPTPView' === x_n,
x_155 = x_r.x_kh,
x_162 = (x_161) ? x_155.x_158
: (x_15z)
? x_155.x_163
: x_155.x_164
, x_165 = [],
x_jm,
x_11z, x_11u,
x_166, x_167,
x_p5, x_p4,
x_16, x_10,
x_q3,
x_ja;
if (x_15z) {
x_165.push({
x_1f: 'x_9u',
x_1j: 'x_m8',
x_23: x_x('Interface:', 'interfaceRasEditor'),
x_5z: [], x_a5: 'x_a6',
x_a7: 'x_1j'
}); } if (x_160) {
x_165.push({
x_1j: 'x_t1',
x_23: x_x('Server:', 'interfaceRasEditor'),
x_93: 127,
x_b6: {
x_b7: false,
x_nv: 'x_nw'
}
}); } if (x_15z || x_160) {
x_165.push(
x_fa.x_b0('x_nz', {x_1u: 'auto', x_1j: 'x_cx'}),
x_fa.x_b0('x_o1', {x_1u: 'auto', x_1j: 'x_ns'})
); } x_165.push({
x_1j: 'x_12b',
x_23: x_x('IP Address:', 'ipAddressGroupEditor'),
x_5p: true }); if (x_161) {
x_165.push({
x_1j: 'x_12c',
x_23: x_x('Mask:', 'common'),
x_5p: true }); } x_165.push(
kerio.waw.shared.x_az.x_b0('x_12f', {
x_1j: 'x_12g',
x_23: x_x('DNS:', 'interfaceRasEditor'),
x_31: true
}), {
x_1f: 'x_1q',
x_1j: 'x_12h',
x_23: '', x_1s: x_x('Autodetect DNS server from the operating system', 'interfaceRasEditor'),
x_7d: true,

x_9t: function(x_1c, x_ax, x_7d) {
x_1c.x_84('x_12g', x_7d); } }
);
x_11u = {
x_1e: [
new x_fa.x_11k.x_11v(x_162),{
x_1f: 'x_79',
x_23: x_x('Settings', 'common'),
x_1e: x_165
},
new x_fa.x_11k.x_168(),  new x_fa.x_11k.x_11x(),      new x_fa.x_11k.x_11y()  ] };x_165 = []; if (x_161) {
x_165.push({
x_1f: 'x_79',
x_1j: 'x_169',
x_23: x_x('Settings', 'common'),
x_1e: [{
x_1j: 'x_16a',
x_23: x_x('Dial-Up connection:', 'interfaceRasEditor'),
x_5p: true }, {
x_1f: 'x_7a',
x_7b: 'x_16b',
x_1o: false,
x_1s: x_x('Use login data from the RAS entry', 'interfaceRasEditor'),
x_1l: true
}, {
x_1f: 'x_7a',
x_7b: 'x_16b',
x_1o: true,
x_1s: x_x('Use following login data', 'interfaceRasEditor'),
x_1l: true,

x_9t: function(x_1c, x_ax, x_1o){
x_1c.x_84(['x_cx', 'x_ns'], !x_1o);
} }, x_fa.x_b0('x_nz', {
x_1j: 'x_cx',
x_b2: 1,
x_1u: 'auto'
}), x_fa.x_b0('x_o1', {
x_1j: 'x_ns',
x_b2: 1,
x_1u: 'auto'
})] });
}
x_165.push({
x_1f: 'x_79',
x_23: x_x('Dialing Control', 'interfaceRasEditor'),
x_1e: [
{
x_1f: 'x_1q',
x_1j: 'x_16c',
x_1l: true,
x_1s: x_x('Always keep the line connected in the following time interval:', 'interfaceRasEditor'),

x_9t: function(x_1c, x_ax, x_7d) {
x_1c.x_84(['x_16d'], !x_7d);
} },
{
x_1f: 'x_5x',
x_1j: 'x_16d',
x_31: true,
x_1e: [
{
x_1f: 'x_9u',
x_1j: 'x_16e',
x_1l: true,
x_b2: 1,
x_5z: [],
x_a5: 'x_a6',
x_a7: 'x_1j'
}
] },
{
x_1f: 'x_1q',
x_1j: 'x_16f',
x_1l: true,
x_1s: x_x('Never connect the line within the following time interval:', 'interfaceRasEditor'),

x_9t: function(x_1c, x_ax, x_7d) {
x_1c.x_84(['x_16g'], !x_7d);
} },
{
x_1f: 'x_5x',
x_1j: 'x_16g',
x_31: true,
x_1e: [
{
x_1f: 'x_9u',
x_1j: 'x_16h',
x_1l: true,
x_b2: 1,
x_5z: [],
x_a5: 'x_a6',
x_a7: 'x_1j'
}
] },
{
x_1f: 'x_5x',
x_1e: [
{
x_1f: 'x_1q',
x_1j: 'x_16i',
x_1l: true,
x_1s: x_x('Hangup if idle for ', 'interfaceRasEditor'),

x_9t: function(x_1c, x_ax, x_7d) {
x_1c.x_84(['x_s1', 'x_16j'], !x_7d);
} },
{
x_1f: 'x_b4',
x_1j: 'x_s1',
x_1l: true,
x_31: true,
x_1o: 0,
x_r9: 1,
x_b5: 99999,
x_93: 5,
x_1u: 50
},
{
x_1f: 'x_1i',
x_1j: 'x_16j',
x_1l: true,
x_1o: x_x('minutes.', 'interfaceRasEditor')
}
] }
] });
if (x_161) {
x_165[x_165.length - 1].x_1e.push({
x_1f: 'x_rc',
x_1j: 'x_16k',
x_23: (x_o)
? x_x('View dialing scripts', 'interfaceRasEditor')
: x_x('Define dialing scripts…', 'interfaceRasEditor'),

x_25: function(x_1c) {
var x_16 = x_1c.x_16;
var x_16l = x_16.x_o5.ras;
var x_47 = {
x_16m: x_16l.bdScriptName,
x_16n: x_16l.adScriptName,
x_16o: x_16l.bhScriptName,
x_16p: x_16l.ahScriptName
};
kerio.lib.x_5l.x_5m({
x_5g: 'interfaceRasScriptsEditor',
x_n: 'x_16q',
x_28: {
x_9d: x_16,
x_2e: x_16.x_16r,
x_47: x_47
}
});
} });
} x_167 = {
x_1e: x_165
}; x_11z = new x_1b.x_1t(x_2w + 'x_11z', x_11u);
x_166 = new x_1b.x_1t(x_2w + 'x_166', x_167);
x_p4 = {
x_1e: [
{
x_1x: x_11z,
x_23: x_x('General', 'common'),
x_1j: 'x_16s'
},
{
x_1x: x_166,
x_23: x_x('Dialing Settings', 'interfaceRasEditor'),
x_1j: 'x_16t'
}
]
}; x_p5 = new x_1b.x_py(x_2w + 'x_p5', x_p4);
x_ja = x_1b.x_a1({
x_a2: 500,
ru: 590,
nl: (x_15z || x_161 ? 535 : 500)
});
x_10 = {
x_1u: x_ja,
x_1v: (x_161 ? 485 : 545),
x_1x: x_p5,

x_mc: function(x_32){
x_32.x_16.x_iy();
} }; x_16 = new x_1b.x_26(x_n, new x_fa.x_11k.x_11l(x_10));
this.x_2a(x_16);
x_q3 = new x_1b.x_q2(x_2w + 'x_q3', [x_11z, x_166]);
if (x_o) {
x_11z.x_7f();
x_166.x_85([ 'x_169',
'x_16c',
'x_16d',
'x_16f',
'x_16g',
'x_16i',
'x_s1',
'x_16j'
]);
}
x_jm = {
x_16u: x_fi.x_od({
x_a6: 'name',
x_vy: 'group',
x_12b: 'ip',
x_12c: 'subnetMask',
x_12g: 'dnsServers',
x_12h: 'dnsAutodetected'
}, true),
x_16l: x_fi.x_od({
x_16a: 'entryName',
x_16b: 'useOwnCredentials',
x_cx: this.x_jr, credentials: this.x_jr,
x_16c: this.x_jr, connectTime: this.x_jr,
x_16f: this.x_jr, noConnectTime: this.x_jr,
x_16i: this.x_jr, x_s1: this.x_jr, timeout: this.x_jr,
x_t1: 'pptpServer', x_m8: this.x_jr }, true),
x_16v: x_fi.x_od({
x_123: 'onDemand',
x_124: 'downBandwidth',
x_125: 'downBandwidthUnit',
x_126: 'failoverRole'
}, true)
};
x_16.x_27(
{	x_n: x_n,
x_o: x_o,
x_15z: x_15z,
x_160: x_160,
x_161: x_161,
x_5c: x_5c,
x_o5: {},     x_p5: x_p5,
x_q3: x_q3,
x_11z: x_11z,
x_166: x_166,
x_jm: x_fi.x_od(x_jm, true)
}
);x_11z.x_27(
{
x_16: x_16,
x_ns: x_11z.x_29('x_ns'),
x_m8: x_11z.x_29('x_m8')
}
);x_166.x_27(
{
x_16: x_16,
x_ns: x_166.x_29('x_ns'),
x_16e: x_166.x_29('x_16e'),
x_16h: x_166.x_29('x_16h')
}
);x_q3.x_16w = true; return x_16;
},
x_2a: function(x_2b) {

x_2b.x_2c = function(x_28) {
var
x_16x,
x_o5 = x_28.x_47 || {},
x_16l = x_o5.ras || {};
this.x_o5 = x_o5; this.x_121 = x_28.x_5d.x_121;
x_fi.x_122(this.x_q3, this.x_121, x_o5.group);
if (this.x_5c) {
this.x_q3.x_7k(x_fi.x_jr(x_o5, this.x_jm.x_16u));
this.x_q3.x_7k(x_fi.x_jr(x_o5.ras, this.x_jm.x_16l));
this.x_q3.x_7k(x_fi.x_jr(x_o5.connectivityParameters, this.x_jm.x_16v));
}
if (this.x_161) {
this.x_166.x_ns.x_og('NoPassword');
}
else {
this.x_11z.x_ns.x_og('NoPassword');
}
x_16x = new x_fi.x_ib({
x_ic:'x_if',
x_9u: this.x_166.x_29('x_16e'),
x_1o: x_16l.connectTime
}); x_16x.x_4y(); x_16x = new x_fi.x_ib({ x_ic:'x_if',
x_9u: this.x_166.x_29('x_16h'),
x_1o: x_16l.noConnectTime
}); x_16x.x_4y(); if (this.x_15z) {
x_16x = new x_fi.x_ib({ x_ic: 'x_16y',
x_9u: this.x_11z.x_m8,
x_1o: {
x_1j: x_16l.pppoeIfaceId
}
}); x_16x.x_4y(); }
this.x_5d = x_28.x_5d;
this.x_p5.x_lf('x_16s');
if (this.x_5c && x_16l.dead) {
this.x_p5.x_16z('x_16t', true); this.x_166.x_170();this.x_11z.x_29('x_1f').x_9w({
x_171: 'dead'
});
}
};
x_2b.x_iy = function() {
var
x_47 = this.x_q3.x_7i(true),
x_11z = this.x_11z,
x_166 = this.x_166,
x_ns = (this.x_161)
? x_166.x_ns
: x_11z.x_ns,
x_o5,
x_16l,
x_172;
x_o5 = (this.x_5c)
? this.x_o5
: { ras: {},
connectivityParameters: {}
};
x_16l = x_o5.ras || {};
x_172 = x_16l.credentials;
x_47.x_16e = x_166.x_16e.x_gh.x_2t();
x_47.x_16h = x_166.x_16h.x_gh.x_2t();
if (this.x_15z) {
x_47.x_m8 = x_11z.x_m8.x_gh.x_2t();
}
if (null === x_47.x_126) { x_47.x_126 = x_r.x_14r.x_7c;
}
x_fi.x_iq(x_fi.x_jr(x_47, this.x_jm.x_16u), x_o5);
if (!x_o5.ras.dead) { x_fi.x_iq(x_fi.x_jr(x_47, this.x_jm.x_16l), x_o5.ras);
}
x_fi.x_iq(x_fi.x_jr(x_47, this.x_jm.x_16v), x_o5.connectivityParameters );
x_o5.ras.credentials = ('' === x_ns.x_ok())
? { userName: x_47.x_cx,  password: x_47.x_ns, passwordChanged: true}
: { userName: x_47.x_cx,  password: '',                passwordChanged: false}
; if (this.x_5c) {
x_fi.x_127.call(this, {
ids: [x_o5.id],
details: x_o5
}, this.x_jk); }
else {
x_o5.type = x_r.x_kh.x_158;
x_o5.ras.rasType = (this.x_15z)
? x_r.x_157.x_159
: x_r.x_157.x_173;
kerio.lib.x_6t.x_6u({
x_28: {
object: 'InterfaceManager',
method: 'create',
params: kerio.lib.x_6r({
interfaces: [x_o5]
})
},
x_2e: this.x_jk,
x_2q: this
});
}
};
x_2b.x_jk = function(x_6v) {
this.x_24(false);
if (!x_6v.x_6x) {
return;
}
this.x_5d.x_6y();
kerio.waw.status.x_14.x_15(true);
this.x_2r();
};
x_2b.x_jo = function() {
this.x_q3.x_2h();
this.x_p5.x_lf('x_16s');
};
x_2b.x_16r = function(x_47) {
var x_11s = {
bdScriptName: x_47.x_16m,
adScriptName: x_47.x_16n,
bhScriptName: x_47.x_16o,
ahScriptName: x_47.x_16p
};
x_fi.x_iq(x_11s, this.x_o5.ras);
}; }, x_jr: function(x_nr, x_1o, x_47) {
switch (x_nr) {
case 'x_cx':
return {
credentials: {
userName: x_1o
}
};
case 'credentials':
return {
x_cx: x_1o.userName,
x_ns: '' };
case 'x_16c':
return {
connectTime: {
enabled: x_1o,
id: x_47.x_16e.id
}
};
case 'connectTime':
return {
x_16c: x_1o.enabled
};
case 'x_16f':
return {
noConnectTime: {
enabled: x_1o,
id: x_47.x_16h.id
}
};
case 'noConnectTime':
return {
x_16f: x_1o.enabled
};
case 'x_16i':
return {
timeout: {
enabled: x_1o
}
};
case 'x_s1':
return {
timeout: {
value: x_1o
}
};
case 'timeout':
return {
x_16i: x_1o.enabled,
x_s1: x_1o.value
};
case 'x_m8':
return {
pppoeIfaceId: x_1o.id
};
default:
return {};
}
}
}; 